#
# spec file for package python-unittest-mixins
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-unittest-mixins
Version:        1.6
Release:        2.9
License:        Apache-2.0
Summary:        Helpful mixins for unittest classes
URL:            https://github.com/nedbat/unittest-mixins
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/u/unittest-mixins/unittest-mixins-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module six >= 1.4.0}
# /SECTION
BuildRequires:  fdupes
Requires:       python-six >= 1.4.0
BuildArch:      noarch

%python_subpackages

%description
Helpful mixins for unittest classes.

%prep
%setup -q -n unittest-mixins-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pyunittest discover -v

%files %{python_files}
%doc README.rst
%license LICENSE.txt
%{python_sitelib}/*

%changelog
* Thu Aug 26 2021 pgajdos@suse.com
- %%check: use %%pyunittest rpm macro
* Tue Feb 19 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v1.6
